> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonTrustScore

> The trust score of jetton by jetton address



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/trust-score
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/trust-score:
    get:
      tags:
        - JettonsService
      summary: getJettonTrustScore
      description: The trust score of jetton by jetton address
      operationId: JettonsService_GetTrustScore
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonTrustScoreInfo'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonTrustScoreInfo:
      type: object
      properties:
        address:
          title: Jetton address
          type: string
          description: 'Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`'
          example: 0:906697a57af1cdb1bc39214b7049ae02b3c92a5b0c342ac61e0eb8bd9304b5f1
        score:
          title: Trust score
          type: integer
          description: |-
            The trust score of jetton.
            Value in range [0, 100]
          format: int64
          example: 78
        updatedAt:
          title: UpdatedAt
          type: string
          description: The time of last trust score calculation
          format: date-time
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object

````